#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    double p,q,r,L,R,i,n,counter=0;
    scanf("%lf %lf %lf %lf %lf",&p,&q,&r,&L,&R);
    for(i=L;i<=R;i++)
    {
        n=ceil((i/p))+ceil((i/q))+ceil((i/r));
        if(n<=i)
        {
            counter++;
        }
    }
    printf("%.0lf",counter);
    return 0;
}